Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1EventUpdated

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1EventUpdated

Record Components:
  `fieldUpdated` - The list of objects that were updated.
  `fieldRemoved` - The list of objects that were removed.

All Implemented Interfaces:
  `ProtocolCAIType`, `ProtocolCAIv1Type`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1EventUpdated(com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldUpdated, com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldRemoved) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolCAIv1Type
Data on the server was updated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1EventUpdated(com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldUpdated, com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldRemoved)`
  Creates an instance of a `CAI1EventUpdated` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1EventUpdated`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1EventUpdated.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBList<CAI1Id>`
  `fieldRemoved()`
  Returns the value of the `fieldRemoved` record component.
  `com.io7m.cedarbridge.runtime.api.CBList<CAI1Id>`
  `fieldUpdated()`
  Returns the value of the `fieldUpdated` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1EventUpdated $x)`
  Serialize a value of type CAI1EventUpdated.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1EventUpdated

    public CAI1EventUpdated(com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldUpdated, com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldRemoved)
    Creates an instance of a `CAI1EventUpdated` record class.
    Parameters:
      `fieldUpdated` - the value for the `fieldUpdated` record component
      `fieldRemoved` - the value for the `fieldRemoved` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1EventUpdated $x) throws IOException
    Serialize a value of type CAI1EventUpdated.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1EventUpdated deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1EventUpdated.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1EventUpdated.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldUpdated

    public com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldUpdated()
    Returns the value of the `fieldUpdated` record component.
    Returns:
      the value of the `fieldUpdated` record component

  - ### fieldRemoved

    public com.io7m.cedarbridge.runtime.api.CBList<CAI1Id> fieldRemoved()
    Returns the value of the `fieldRemoved` record component.
    Returns:
      the value of the `fieldRemoved` record component